Bug 720634 - Huawei E220 doesn't work
Huawei E220 doesn't work
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-07-12 06:24 EDT by Account closed by user
Modified: 2012-03-10 15:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-10 15:27:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
messages (547.06 KB, application/octet-stream)
2011-07-12 06:25 EDT, Account closed by user
no flags Details
modem-manager_debug-e220.txt (31.64 KB, text/plain)
2011-08-03 07:11 EDT, Account closed by user
no flags Details
modem-manager debug log E220 (69.53 KB, text/x-log)
2011-11-23 08:03 EST, Franz Angeli
no flags Details
NetworkManager debug log E220 (11.75 KB, text/x-log)
2011-11-23 08:04 EST, Franz Angeli
no flags Details

  None (edit)
Description Account closed by user 2011-07-12 06:24:50 EDT
mobile 3G network coverage isn't shown, and "connect to the 3G network" doesn't work.

/var/log/messages attached.

Comment 1 Account closed by user 2011-07-12 06:25:56 EDT
Created attachment 512388 [details]
Comment 2 Dan Williams 2011-08-02 12:19:50 EDT
Same as 723069; we'd want a bit more debug output from modem-manager.  Try the following:

1) unplug your device
2) get a root terminal
3) mv /usr/sbin/modem-manager /
4) killall -TERM modem-manager
5) /modem-manager --debug
6) replug your dongle, reproduce the issue
7) paste or attach that log output from modem-manager into this bug report
8) hit Ctl+C to stop modem-manager
9) mv /modem-manager /usr/sbin/modem-manager

and then we can diagnose what's going on.
Comment 3 Account closed by user 2011-08-03 07:11:24 EDT
Created attachment 516491 [details]
Comment 4 Account closed by user 2011-09-26 09:21:22 EDT
Comment 5 Franz Angeli 2011-11-23 08:03:43 EST
Created attachment 535476 [details]
modem-manager debug log E220
Comment 6 Franz Angeli 2011-11-23 08:04:26 EST
Created attachment 535477 [details]
NetworkManager debug log E220
Comment 7 Franz Angeli 2011-11-23 08:05:23 EST
I have the same problem with Fedora 16 amd64 and Huawei E220;
Comment 8 Account closed by user 2012-03-10 15:27:38 EST
fixed in ModemManager-

- huawei: fix modem crashes with older Huawei devices (like E220)

Note You need to log in before you can comment on or make changes to this bug.